KDE 4.3 PyKDE API Reference

- KDE's Python API

# ScreenGraphicsItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.MarbleGraphicsItem
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Methods

| __init__ (self)
| __init__ (self, ScreenGraphicsItemPrivate d_ptr)
| paint (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos, GeoSceneLayer layer=0)
QPoint | position (self)
| setPosition (self, QPoint position)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | ScreenGraphicsItemPrivate | d_ptr
| ) |  |  |

paint | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos,
|  | GeoSceneLayer | layer=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Paints the item in item coordinates

QPoint position | ( |  | self ) |

Returns the postion of the item

setPosition | ( | self, |
|  | QPoint | position
| ) |  |  |

Set the position of the item